<?php
namespace Controllers;
// Контроллер Залы
class Rooms extends Controller {

	public function __construct() {
		parent::__construct();
		$this->model=new \Models\Rooms($this->db, $this->f3); // модель залов
	}

	// Страница создания зала
	function add() {
		$inc='add';
		$id=$this->f3->get('GET.id');
		$room=array();
		if($id) {
			$room=$this->model->select_rooms(array('id=?', $id), array('limit'=>1));
			if(!empty($room)) {
				$inc='change';
			}
		}
		$this->f3->set('room', $room[0]);
		$this->f3->set('page_data', $this->model->page_data($inc));
	}
	
	// Сохранение зала
	function post_add() {
		$post=$this->f3->get('POST');
		$res=$this->model->save_room($post);
		$res['txt']=$this->messages->message($res['txt'])['txt'];
		echo json_encode($res);
		exit();
	}

	// Удаление зала
	function delete() {
		$id=$this->f3->get('GET.id');
		$res=$this->model->delete($id);
		$res['txt']=$this->messages->message($res['txt'])['txt'];
		echo json_encode($res);
		exit();
	}

	// Страница вбора столов для чеков
	function select_table() {
		$id=$this->f3->get('GET.room_id');
		if(!$id) {
			$id=$this->f3->get('SESSION.room_id');
		}
		$rooms=$this->model->select_rooms();
		$room=$rooms[0];
		$tables=array();
		if($id) {
			// Находим выбранный зал
			foreach ($rooms as $r) {
				if($r['id']==$id) {
					$room=$r;
					break;
				}
			}
		}
		if(!empty($room)) {
			// Если зал выбран, то находим столы
			$t=new \Models\Tables($this->db, $this->f3);
			$tables=$t->tables_form_room($room['id'], true);
		}
		$this->f3->set('room', $room);
		$this->f3->set('tables', $tables);
		$this->f3->set('rooms', $rooms);
		$this->f3->set('page_data', $this->model->page_data('select_table'));
	}
}
